Bun.serve({
  port: 8080,
  fetch(req) {
    const url = new URL(req.url);
    if (url.pathname === "/health") {
      console.log("Health Check");
      return new Response("ok");
    } else {
      console.log(`Recieved Request: ${req.method} ${req.url}`);
      return Response.redirect(Bun.env.REDIRECT_TARGET, 302);
    }
  },
});

console.log(`Redirecting Trafic to ${Bun.env.REDIRECT_TARGET}`);
